Subject: bug#47334: 27.1; Incompatibility between daemon, desktop and highlight-changes-mode

From: Eli Zaretskii <[email-masked]>
Date: Tue, 23 Mar 2021 12:06:59 +0200

> From: Gilles <[email-masked]>
> Date: Tue, 23 Mar 2021 01:30:36 +0100
> 
> When restoring a desktop session where a buffer has
> highlight-changes-mode enabled, if Emacs is starting in daemon mode, it
> locks up before opening the socket. There is no error message.
> 
> If Emacs is not starting in daemon mode, or if the desktop session file
> does not list highlight-changes-mode, everything is fine.
> 
> I have observed this problem both with Emacs 27.1 on macOS and with
> Emacs 26.3 on Ubuntu 20.04. Below I give the server an explicit name for
> convenience but this is optional to reproduce the bug.
> 
> Here is a precise recipe to reproduce. (Lines beginning with a letter
> are shell commands; lines beginning with `|` are terminal output.)

Thanks.

Since you already have a working setup for reproducing the problem,
could you please attach GDB to the daemon when it hangs, and show
both a C-level and a Lisp-level backtrace?  (This could be tricky if
you don't have a working GDB installed on your macOS system, because
LLDB isn't supported by src/.gdbinit init file.  But maybe you could
do this on Ubuntu?)  This could go a long way towards identifying the
problematic piece of code.